Skip to main content
GET
/
api
/
Transaction
/
{orderCreationTransactionHash}
/
orderIds
Returns ids of orders, that were created in a transaction
curl --request GET \
  --url https://dln-api.debridge.finance/api/Transaction/{orderCreationTransactionHash}/orderIds
import requests

url = "https://dln-api.debridge.finance/api/Transaction/{orderCreationTransactionHash}/orderIds"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://dln-api.debridge.finance/api/Transaction/{orderCreationTransactionHash}/orderIds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "orderIds": [
    {
      "bytesValue": "AA4r8JSgZRie2pvbP0vsvMKR1Rz9uWFc2cC+A9msUVI=",
      "bytesArrayValue": "[0,14,43,240,148,160,101,24,158,218,155,219,63,75,236,188,194,145,213,28,253,185,97,92,217,192,190,3,217,172,81,82]",
      "stringValue": "0x000e2bf094a065189eda9bdb3f4becbcc291d51cfdb9615cd9c0be03d9ac5152"
    }
  ]
}
{
"message": "<string>",
"errorCode": 123
}
{
"message": "<string>",
"errorCode": 123
}
{
"message": "<string>",
"errorCode": 123
}

Path Parameters

orderCreationTransactionHash
string
required

hash of a transaction the orders were created in

Response

OK

orderIds
object[] | null